JGraph X 1.4.0.9

## com.mxgraph.util.png
Class mxPngImageDecoder

    java.lang.Object
      com.mxgraph.util.png.mxPngImageDecoder

    public class mxPngImageDecoder

extends java.lang.Object

Field Summary
`protected java.io.InputStream` `input` The `SeekableStream` associcted with this `ImageEncoder`.
`protected mxPngDecodeParam` `param` The `ImageDecodeParam` object associated with this `ImageEncoder`.

Constructor Summary
`mxPngImageDecoder(java.io.InputStream input, mxPngDecodeParam param)`

Method Summary
`java.awt.image.Raster` `decodeAsRaster()`
`java.awt.image.Raster` `decodeAsRaster(int page)`
`java.awt.image.RenderedImage` `decodeAsRenderedImage()`
`java.awt.image.RenderedImage` `decodeAsRenderedImage(int page)`
`java.io.InputStream` `getInputStream()` Returns the `SeekableStream` associated with this `ImageDecoder`.
`mxPngDecodeParam` `getParam()`
`void` `setParam(mxPngDecodeParam param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    protected java.io.InputStream input

  The `SeekableStream` associcted with this `ImageEncoder`.

### param

    protected mxPngDecodeParam param

  The `ImageDecodeParam` object associated with this `ImageEncoder`.

Constructor Detail

### mxPngImageDecoder

    public mxPngImageDecoder(java.io.InputStream input,
                             mxPngDecodeParam param)

Method Detail

### getParam

    public mxPngDecodeParam getParam()

### setParam

    public void setParam(mxPngDecodeParam param)

### getInputStream

    public java.io.InputStream getInputStream()

  Returns the `SeekableStream` associated with this `ImageDecoder`.

### decodeAsRaster

    public java.awt.image.Raster decodeAsRaster()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeAsRaster

    public java.awt.image.Raster decodeAsRaster(int page)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeAsRenderedImage

    public java.awt.image.RenderedImage decodeAsRenderedImage()
                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeAsRenderedImage

    public java.awt.image.RenderedImage decodeAsRenderedImage(int page)
                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.